package com.eactive.eai.batch.doc;

import java.io.Serializable;


public class Body implements Serializable
{
	private static final long serialVersionUID = 1L;
	String subUUID             ;
	String subLayerCode        ;
	String wLIServerName       ;
	String portNo              ;
	int    nodeCount           ;
	String flowPhaseCode       ;
	String lastPhaseCode       ;
	String nextPhaseCode       ;
	String phaseType           ;
	String lastPhaseType       ;
	String nextPhaseType       ;
	String sndMsgCode          ;
	String rcvMsgCode          ;
	String phaseStartTime      ;
	String phaseEndTime        ;
	String lastPhaseStartTime  ;
	String lastPhaseEndTime    ;
	String actionTag           ;
	String recallTag           ;
	String timeoutInterval     ;
	int    retryCount          ;
	int    blockNum            ;
	int    seqNum              ;
	String missingNmField      ;
	int    missingNmCount      ;
	long   curFileSize         ;
	long   recCnt              ;
	long   curFileRecCnt       ;
	String lastResCode         ;
	int    errorCode           ;
	String errorMsg            ;
	String recvedMsg           ;
	String sendSummary         ;
	byte[] sendBuffer          ;
	String instExt      	   ;
	String recvFld01      	   ;
	String recvFld02      	   ;
	String recvFld03      	   ;
	String recvFld04      	   ;
	String recvFld05      	   ;
	String recvFld06      	   ;
	String recvFld07      	   ;
	String recvFld08      	   ;
	String recvFld09      	   ;
	String recvFld10      	   ;
	
	public String getSubUUID() {
		return subUUID;
	}
	public void setSubUUID(String subUUID) {
		this.subUUID = subUUID;
	}
	public String getSubLayerCode() {
		return subLayerCode;
	}
	public void setSubLayerCode(String subLayerCode) {
		this.subLayerCode = subLayerCode;
	}
	public String getWLIServerName() {
		return wLIServerName;
	}
	public void setWLIServerName(String wLIServerName) {
		this.wLIServerName = wLIServerName;
	}
	public String getPortNo() {
		return portNo;
	}
	public void setPortNo(String portNo) {
		this.portNo = portNo;
	}
	public int getNodeCount() {
		return nodeCount;
	}
	public void setNodeCount(int nodeCount) {
		this.nodeCount = nodeCount;
	}
	public String getFlowPhaseCode() {
		return flowPhaseCode;
	}
	public void setFlowPhaseCode(String flowPhaseCode) {
		this.flowPhaseCode = flowPhaseCode;
	}
	public String getLastPhaseCode() {
		return lastPhaseCode;
	}
	public void setLastPhaseCode(String lastPhaseCode) {
		this.lastPhaseCode = lastPhaseCode;
	}
	public String getNextPhaseCode() {
		return nextPhaseCode;
	}
	public void setNextPhaseCode(String nextPhaseCode) {
		this.nextPhaseCode = nextPhaseCode;
	}
	public String getPhaseType() {
		return phaseType;
	}
	public void setPhaseType(String phaseType) {
		this.phaseType = phaseType;
	}
	public String getLastPhaseType() {
		return lastPhaseType;
	}
	public void setLastPhaseType(String lastPhaseType) {
		this.lastPhaseType = lastPhaseType;
	}
	public String getNextPhaseType() {
		return nextPhaseType;
	}
	public void setNextPhaseType(String nextPhaseType) {
		this.nextPhaseType = nextPhaseType;
	}
	public String getSndMsgCode() {
		return sndMsgCode;
	}
	public void setSndMsgCode(String sndMsgCode) {
		this.sndMsgCode = sndMsgCode;
	}
	public String getRcvMsgCode() {
		return rcvMsgCode;
	}
	public void setRcvMsgCode(String rcvMsgCode) {
		this.rcvMsgCode = rcvMsgCode;
	}
	public String getPhaseStartTime() {
		return phaseStartTime;
	}
	public void setPhaseStartTime(String phaseStartTime) {
		this.phaseStartTime = phaseStartTime;
	}
	public String getPhaseEndTime() {
		return phaseEndTime;
	}
	public void setPhaseEndTime(String phaseEndTime) {
		this.phaseEndTime = phaseEndTime;
	}
	public String getLastPhaseStartTime() {
		return lastPhaseStartTime;
	}
	public void setLastPhaseStartTime(String lastPhaseStartTime) {
		this.lastPhaseStartTime = lastPhaseStartTime;
	}
	public String getLastPhaseEndTime() {
		return lastPhaseEndTime;
	}
	public void setLastPhaseEndTime(String lastPhaseEndTime) {
		this.lastPhaseEndTime = lastPhaseEndTime;
	}
	public String getActionTag() {
		return actionTag;
	}
	public void setActionTag(String actionTag) {
		this.actionTag = actionTag;
	}
	public String getRecallTag() {
		return recallTag;
	}
	public void setRecallTag(String recallTag) {
		this.recallTag = recallTag;
	}
	public String getTimeoutInterval() {
		return timeoutInterval;
	}
	public void setTimeoutInterval(String timeoutInterval) {
		this.timeoutInterval = timeoutInterval;
	}
	public int getRetryCount() {
		return retryCount;
	}
	public void setRetryCount(int retryCount) {
		this.retryCount = retryCount;
	}
	public int getBlockNum() {
		return blockNum;
	}
	public void setBlockNum(int blockNum) {
		this.blockNum = blockNum;
	}
	public int getSeqNum() {
		return seqNum;
	}
	public void setSeqNum(int seqNum) {
		this.seqNum = seqNum;
	}
	public String getMissingNmField() {
		return missingNmField;
	}
	public void setMissingNmField(String missingNmField) {
		this.missingNmField = missingNmField;
	}
	public int getMissingNmCount() {
		return missingNmCount;
	}
	public void setMissingNmCount(int missingNmCount) {
		this.missingNmCount = missingNmCount;
	}
	public long getCurFileSize() {
		return curFileSize;
	}
	public void setCurFileSize(long curFileSize) {
		this.curFileSize = curFileSize;
	}
	public long getRecCnt() {
		return recCnt;
	}
	public void setRecCnt(long recCnt) {
		this.recCnt = recCnt;
	}
	public long getCurFileRecCnt() {
		return curFileRecCnt;
	}
	public void setCurFileRecCnt(long curFileRecCnt) {
		this.curFileRecCnt = curFileRecCnt;
	}
	public String getLastResCode() {
		return lastResCode;
	}
	public void setLastResCode(String lastResCode) {
		this.lastResCode = lastResCode;
	}
	public int getErrorCode() {
		return errorCode;
	}
	public void setErrorCode(int errorCode) {
		this.errorCode = errorCode;
	}
	public String getErrorMsg() {
		return errorMsg;
	}
	public void setErrorMsg(String errorMsg) {
		this.errorMsg = errorMsg;
	}
	public String getRecvedMsg() {
		return recvedMsg;
	}
	public void setRecvedMsg(String recvedMsg) {
		this.recvedMsg = recvedMsg;
	}
	public String getSendSummary() {
		return sendSummary;
	}
	public void setSendSummary(String sendSummary) {
		this.sendSummary = sendSummary;
	}
	public byte[] getSendBuffer() {
		return sendBuffer;
	}
	public void setSendBuffer(byte[] sendBuffer) {
		this.sendBuffer = sendBuffer;
	}
	public String getInstExt() {
		return instExt;
	}
	public void setInstExt(String instExt) {
		this.instExt = instExt;
	}
	public String getRecvFld01() {
		return recvFld01;
	}
	public void setRecvFld01(String recvFld01) {
		this.recvFld01 = recvFld01;
	}
	public String getRecvFld02() {
		return recvFld02;
	}
	public void setRecvFld02(String recvFld02) {
		this.recvFld02 = recvFld02;
	}
	public String getRecvFld03() {
		return recvFld03;
	}
	public void setRecvFld03(String recvFld03) {
		this.recvFld03 = recvFld03;
	}
	public String getRecvFld04() {
		return recvFld04;
	}
	public void setRecvFld04(String recvFld04) {
		this.recvFld04 = recvFld04;
	}
	public String getRecvFld05() {
		return recvFld05;
	}
	public void setRecvFld05(String recvFld05) {
		this.recvFld05 = recvFld05;
	}
	public String getRecvFld06() {
		return recvFld06;
	}
	public void setRecvFld06(String recvFld06) {
		this.recvFld06 = recvFld06;
	}
	public String getRecvFld07() {
		return recvFld07;
	}
	public void setRecvFld07(String recvFld07) {
		this.recvFld07 = recvFld07;
	}
	public String getRecvFld08() {
		return recvFld08;
	}
	public void setRecvFld08(String recvFld08) {
		this.recvFld08 = recvFld08;
	}
	public String getRecvFld09() {
		return recvFld09;
	}
	public void setRecvFld09(String recvFld09) {
		this.recvFld09 = recvFld09;
	}
	public String getRecvFld10() {
		return recvFld10;
	}
	public void setRecvFld10(String recvFld10) {
		this.recvFld10 = recvFld10;
	}
	@Override
	public String toString() {
		StringBuilder builder = new StringBuilder();
		builder.append("Body\nsubUUID:");
		builder.append(subUUID);
		builder.append("\nsubLayerCode:");
		builder.append(subLayerCode);
		builder.append("\nwLIServerName:");
		builder.append(wLIServerName);
		builder.append("\nportNo:");
		builder.append(portNo);
		builder.append("\nnodeCount:");
		builder.append(nodeCount);
		builder.append("\nflowPhaseCode:");
		builder.append(flowPhaseCode);
		builder.append("\nlastPhaseCode:");
		builder.append(lastPhaseCode);
		builder.append("\nnextPhaseCode:");
		builder.append(nextPhaseCode);
		builder.append("\nphaseType:");
		builder.append(phaseType);
		builder.append("\nlastPhaseType:");
		builder.append(lastPhaseType);
		builder.append("\nnextPhaseType:");
		builder.append(nextPhaseType);
		builder.append("\nsndMsgCode:");
		builder.append(sndMsgCode);
		builder.append("\nrcvMsgCode:");
		builder.append(rcvMsgCode);
		builder.append("\nphaseStartTime:");
		builder.append(phaseStartTime);
		builder.append("\nphaseEndTime:");
		builder.append(phaseEndTime);
		builder.append("\nlastPhaseStartTime:");
		builder.append(lastPhaseStartTime);
		builder.append("\nlastPhaseEndTime:");
		builder.append(lastPhaseEndTime);
		builder.append("\nactionTag:");
		builder.append(actionTag);
		builder.append("\nrecallTag:");
		builder.append(recallTag);
		builder.append("\ntimeoutInterval:");
		builder.append(timeoutInterval);
		builder.append("\nretryCount:");
		builder.append(retryCount);
		builder.append("\nblockNum:");
		builder.append(blockNum);
		builder.append("\nseqNum:");
		builder.append(seqNum);
		builder.append("\nmissingNmField:");
		builder.append(missingNmField);
		builder.append("\nmissingNmCount:");
		builder.append(missingNmCount);
		builder.append("\ncurFileSize:");
		builder.append(curFileSize);
		builder.append("\nrecCnt:");
		builder.append(recCnt);
		builder.append("\nlastResCode:");
		builder.append(lastResCode);
		builder.append("\nerrorCode:");
		builder.append(errorCode);
		builder.append("\nerrorMsg:");
		builder.append(errorMsg);
		builder.append("\nrecvedMsg:");
		builder.append(recvedMsg);
		builder.append("\nsendSummary:");
		builder.append(sendSummary);
		builder.append("\ninstExt:");
		builder.append(instExt);
		return builder.toString();
	}

}
